%define upstream_name    Crypt-Twofish
%define upstream_version 2.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Crypt-Twofish module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)

%{?perl_default_filter}
BuildRequires: perl-devel
%description
Twofish is a 128-bit symmetric block cipher with a variable length (128, 192,
or 256-bit) key, developed by Counterpane Labs. It is unpatented and free for
all uses, as described at http://www.counterpane.com/twofish.html.

This module implements Twofish encryption. It supports the Crypt::CBC interface

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto
%{_mandir}/*/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 2.180.0-4.mga9
+ Revision: 1861701
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.180.0-3.mga9
+ Revision: 1795617
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.180.0-2.mga9
+ Revision: 1726494
- Rebuild for perl 5.34

* Sat Nov 28 2020 tv <tv> 2.180.0-1.mga8
+ Revision: 1649836
- update to 2.18

* Wed Jun 17 2020 umeabot <umeabot> 2.170.0-21.mga8
+ Revision: 1594388
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.170.0-20.mga8
+ Revision: 1529010
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 2.170.0-19.mga8
+ Revision: 1432885
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.170.0-18.mga7
+ Revision: 1292632
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 2.170.0-17.mga7
+ Revision: 1248615
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.170.0-16.mga7
+ Revision: 1163729
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.170.0-15.mga7
+ Revision: 1148708
- Rebuild for perl ABI changes

* Sun Jul 23 2017 tv <tv> 2.170.0-14.mga7
+ Revision: 1129337
- fix build with perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.170.0-12.mga6
+ Revision: 1024681
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.170.0-11.mga6
+ Revision: 957013
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.170.0-10.mga6
+ Revision: 844762
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.170.0-9.mga6
+ Revision: 840689
- Rebuild for the new perl

* Sun Oct 19 2014 umeabot <umeabot> 2.170.0-8.mga5
+ Revision: 789287
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.170.0-7.mga5
+ Revision: 745063
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.170.0-6.mga5
+ Revision: 733005
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.170.0-5.mga5
+ Revision: 684071
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.170.0-4.mga5
+ Revision: 630977
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.170.0-3.mga4
+ Revision: 524290
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.170.0-2.mga4
+ Revision: 430613
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 2.170.0-1.mga4
+ Revision: 430204
- new release
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.150.0-2.mga3
+ Revision: 364973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 2.150.0-1.mga3
+ Revision: 291614
- update to 2.15

* Wed May 30 2012 jquelin <jquelin> 2.140.0-4.mga3
+ Revision: 250431
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.140.0-3.mga2
+ Revision: 103888
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 2.140.0-2.mga1
+ Revision: 10510
- imported package perl-Crypt-Twofish


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.140.0-2mdv2011.0
+ Revision: 555723
- rebuild

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 2.140.0-1mdv2011.0
+ Revision: 553078
- update to 2.14

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.130.0-1mdv2010.0
+ Revision: 403040
- rebuild using %%perl_convert_version

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 2.13-1mdv2010.0
+ Revision: 376148
- update to new version 2.13

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.12-4mdv2009.0
+ Revision: 256379
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.12-2mdv2008.1
+ Revision: 152045
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.12-1mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.12-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.12-1mdk
- initial Mandriva package

